View Issue Details

IDProjectCategoryView StatusLast Update
0000808OpenMPT[All Projects] Feature Requestpublic2016-06-06 15:13
ReporterharbingerAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product VersionOpenMPT 1.26.02.00 / libopenmpt 0.2-beta17 (upgrade first) 
Target VersionOpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first)Fixed in VersionOpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first) 
Summary0000808: Better export options and display
Description

When exporting to lossless files, I've tried exporting both by Channel and Instrument to file. Exporting to channels will ignore muted channels.
But exporting per Instrument still exports Instruments that have been muted both in the Tree View and the Channel display. IOW, MPT is exporting silent waveforms.

What I could use is the following:

  1. Whether exporting by Channel or Instrument, any channel that's muted does not get exported regardless. If you export by Instrument, muting the Instrument in the Tree View (thru the contextual menu) ignores that instrument and does NOT RENDER A BLANK AUDIO FILE. If you export by Instrument, only unmuted channels should export to an Instrument audio file (so certain notes can be isolated).
  2. A message in the "Exporting..." progress window, should notify the user what is being exported, so users can catch unwanted export behavior. Something like, "Exporting Instrument 'Drums' to file 'MyTrack-001.wav'." would be helpful.
  3. If a blank file will be rendered, the user should be warned before export (whether to sample or file).
  4. An option to not notify the user (that the file will be blank) could appear in the Export dialog or Save window.
TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2016-05-31 17:12

administrator   ~0002431

Last edited: 2016-05-31 17:12

View 2 revisions

r6456 skips muted samples and instrument during export and shows instrument/sample/channel names when using those export types.

<blockquote>3. If a blank file will be rendered, the user should be warned before export (whether to sample or file).</blockquote>
If OpenMPT knew this in advance, it wouldn't have to warn the user. It would simply not export the file.

harbinger

harbinger

2016-06-03 19:53

reporter   ~0002439

Well, i got to the library so i could download this test build, but your link only shows the SVN changes, which doesn't help. Can you link to this build so i can test it? Or is it not yet available?

Much appreciated...

Saga Musix

Saga Musix

2016-06-03 19:55

administrator   ~0002440

The revision link is inserted automatically by the issue tracker, that's not how you're supposed to download it. The latest test builds can be found by following the link on the home page of the issue tracker as always (https://buildbot.openmpt.org/builds/).

harbinger

harbinger

2016-06-03 19:59

reporter   ~0002441

Last edited: 2016-06-04 18:17

View 2 revisions

Okay, thanks!

UPDATE
Yep, works great. It would be better if there is a check on the Instrument mute status, not only in the Tree View, but also in the Channels. IOW, if MPT finds no Instrument calls in any unmuted channels, it does not export. (Progress Dialog should show that the Instrument was skipped.)

Other than that, excellent work and fast response. Woohoo!

Saga Musix

Saga Musix

2016-06-06 15:13

administrator   ~0002444

r6466 / OpenMPT 1.26.02.04 now only exports instruments that have any occurrence in unmuted channels. Same applies to MIDI export.

Issue History

Date Modified Username Field Change
2016-05-31 16:33 harbinger New Issue
2016-05-31 17:11 Saga Musix Assigned To => Saga Musix
2016-05-31 17:11 Saga Musix Status new => assigned
2016-05-31 17:12 Saga Musix Note Added: 0002431
2016-05-31 17:12 Saga Musix Status assigned => feedback
2016-05-31 17:12 Saga Musix Target Version => OpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first)
2016-05-31 17:12 Saga Musix Note Edited: 0002431 View Revisions
2016-06-03 19:53 harbinger Note Added: 0002439
2016-06-03 19:53 harbinger Status feedback => assigned
2016-06-03 19:55 Saga Musix Note Added: 0002440
2016-06-03 19:59 harbinger Note Added: 0002441
2016-06-03 21:34 Saga Musix Status assigned => feedback
2016-06-04 18:17 harbinger Note Edited: 0002441 View Revisions
2016-06-06 15:13 Saga Musix Note Added: 0002444
2016-06-06 15:13 Saga Musix Status feedback => resolved
2016-06-06 15:13 Saga Musix Resolution open => fixed
2016-06-06 15:13 Saga Musix Fixed in Version => OpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first)